%global momorel 1

%define tarball xf86-video-intel
%define moduledir %(pkg-config xorg-server --variable=moduledir )
%define driverdir	%{moduledir}/drivers

Summary:   Xorg X11 i810 video driver
Name:      xorg-x11-drv-intel
Version:   2.9.0
Release: %{momorel}m%{?dist}
URL:       http://www.x.org/
%global xorgurl http://xorg.freedesktop.org/releases/individual
Source0: %{xorgurl}/driver/%{tarball}-%{version}.tar.bz2 
NoSource: 0
Source1:   intel.xinf

License:   MIT/X
Group:     User Interface/X Hardware Support
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

ExclusiveArch: %{ix86} x86_64 ia64

BuildRequires: pkgconfig
BuildRequires: xorg-x11-server-devel >= 1.6
BuildRequires: libXvMC-devel
BuildRequires: mesa-libGL-devel >= 7.5
BuildRequires: libdrm-devel >= 2.4.12

Requires:  hwdata
Requires:  xorg-x11-server-Xorg >= 1.5

Obsoletes: xorg-x11-drv-i810
Provides: xorg-x11-drv-i810 = %{version}

%description 
X.Org X11 intel video driver.

%package devel
Summary:   Xorg X11 intel video driver XvMC development package
Group:     Development/System
Requires:  %{name} = %{version}-%{release}

Obsoletes: xorg-x11-drv-i810-devel
Provides: xorg-x11-drv-i810-devel = %{version}

%description devel
X.Org X11 intel video driver XvMC development package.

%prep
%setup -q -n %{tarball}-%{version}

autoreconf -if
%build
OPTS="--disable-static --libdir=%{_libdir} --mandir=%{_mandir} --enable-dri --enable-kms "
./configure ${OPTS}
%make 

%install
rm -rf --preserve-root %{buildroot}

%make install DESTDIR=%{buildroot}

mkdir -p %{buildroot}%{_datadir}/hwdata/videoaliases
install -m 0644 %{SOURCE1} %{buildroot}%{_datadir}/hwdata/videoaliases/
find %{buildroot} -regex ".*\.la$" -delete

# Nuke until actually hooked up in the code
rm -f %{buildroot}/%{driverdir}/ch7017.so

%clean
rm -rf --preserve-root %{buildroot}

%files
%defattr(-,root,root,-)
#%{driverdir}/i810_drv.so
%{driverdir}/intel_drv.so
%{driverdir}/ch7xxx.so
%{driverdir}/sil164.so
%{driverdir}/tfp410.so
#%{driverdir}/ch7017.so
%{driverdir}/ivch.so
%{_datadir}/hwdata/videoaliases/intel.xinf
%{_libdir}/libIntelXvMC.so.1
%{_libdir}/libIntelXvMC.so.1.0.0
%{_libdir}/libI810XvMC.so.1
%{_libdir}/libI810XvMC.so.1.0.0
%{_mandir}/man4/i*

%files devel
%defattr(-,root,root,-)
%{_libdir}/libIntelXvMC.so
%{_libdir}/libI810XvMC.so

%changelog
* Wed Sep 30 2009 Yohsuke Ooi <meke@momonga-linux.org> 
- (2.9.0-1m)
- update 2.9.0

* Thu Aug 27 2009 Yohsuke Ooi <meke@momonga-linux.org> 
- (2.8.1-1m)
- update 2.8.1

* Fri Jul 24 2009 Yohsuke Ooi <meke@momonga-linux.org> 
- (2.8.0-1m)
- update 2.8.0

* Fri Jun  5 2009 Yohsuke Ooi <meke@momonga-linux.org> 
- (2.7.1-1m)
- update 2.7.1

* Sun May  3 2009 TABUCHI Takaaki <tab@momonga-linux.org>
- (2.7.0-3m)
- update BuildRequires: libdrm-devel >= 2.4.6

* Thu Apr 16 2009 Yohsuke Ooi <meke@momonga-linux.org> 
- (2.7.0-2m)
- adjustment spec

* Thu Apr 16 2009 Yohsuke Ooi <meke@momonga-linux.org> 
- (2.7.0-1m)
- update 2.7.0
- rename to xorg-x11-drv-intel

* Sat Apr 11 2009 Yohsuke Ooi <meke@momonga-linux.org> 
- (2.6.99.903-1m)
- update 2.6.99.903

* Sun Mar 15 2009 Yohsuke Ooi <meke@momonga-linux.org> 
- (2.6.99.902-1m)
- update 2.6.99.902

* Mon Mar  9 2009 Yohsuke Ooi <meke@momonga-linux.org> 
- (2.6.3-1m)
- update 2.6.3

* Tue Jan 27 2009 Yohsuke Ooi <meke@momonga-linux.org> 
- (2.6.1-1m)
- update 2.6.1

* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (2.5.1-2m)
- rebuild against rpm-4.6

* Tue Nov 18 2008 Yohsuke Ooi <meke@momonga-linux.org> 
- (2.5.1-1m)
- update 2.5.1

* Tue Oct 21 2008 Yohsuke Ooi <meke@momonga-linux.org> 
- (2.5.0-1m)
- update 2.5.0

* Sun Oct 19 2008 Yohsuke Ooi <meke@momonga-linux.org> 
- (2.4.98.0-1m)
- update 2.4.98.0(2.5.0-RC)

* Sat Oct  4 2008 Yohsuke Ooi <meke@momonga-linux.org> 
- (2.4.2-3m)
- remove upstream patch. Its Buggy on EeePC901

* Sun Sep 21 2008 Yohsuke Ooi <meke@momonga-linux.org> 
- (2.4.2-2m)
- add upstream patch
-- Disable render standby
-- Don't allocate a pipe for hotplug detection

* Fri Aug 29 2008 Yohsuke Ooi <meke@momonga-linux.org> 
- (2.4.2-1m)
- update 2.4.2

* Fri Aug 22 2008 Yohsuke Ooi <meke@momonga-linux.org> 
- (2.4.1-2m)
- add no-mm patch

* Fri Aug 22 2008 Yohsuke Ooi <meke@momonga-linux.org> 
- (2.4.1-1m)
- update 2.4.1

* Fri Jul 25 2008 Yohsuke Ooi <meke@momonga-linux.org> 
- (2.4.0-1m)
- update 2.4.0

* Wed Jun 18 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (2.3.2-1m)
- update 2.3.2

* Thu May 22 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (2.3.1-1m)
- update 2.3.1

* Mon May  5 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (2.3.0-1m)
- update 2.3.0
- remove legacy i810 driver

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (2.2.1-2m)
- rebuild against gcc43

* Mon Feb 25 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (2.2.1-1m)
- update 2.2.1

* Wed Feb 13 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (2.2.0-2m)
- %%NoSource -> NoSource

* Fri Nov 16 2007 Yohsuke Ooi <meke@momonga-linux.org>
- (2.2.0-1m)
- update 2.2.0

* Fri Sep 14 2007 Yohsuke Ooi <meke@momonga-linux.org>
- (2.1.1-2m)
- rebuild against xorg-x11-server-1.4

* Wed Aug 15 2007 Yohsuke Ooi <meke@momonga-linux.org>
- (2.1.1-1m)
- update 2.1.1

* Tue Aug  7 2007 Yohsuke Ooi <meke@momonga-linux.org>
- (2.1.0-3m)
- i810_drv came to be installed. 

* Tue Jul 31 2007 Yohsuke Ooi <meke@momonga-linux.org>
- (2.1.0-2m)
- support current libdrm
-- xf86-video-i810-1.7.4-libdrm-2.3.1.patch
-- xf86-video-intel-2.1.0-libdrm-2.3.1.patch

* Wed Jul  4 2007 Yohsuke Ooi <meke@momonga-linux.org>
- (2.1.0-1m)
- update 2.1.0

* Wed Jun 27 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.0.0-2m)
- NoSource 1

* Wed Jun 27 2007 Masaru SANUKI <sanuki@momonga-linux.org>
- (2.0.0-1m)
- update to 2.0.0

* Fri Jan 26 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (1.7.4-1m)
- update to 1.7.4

* Mon Aug 21 2006 Yohsuke Ooi <meke@momonga-linux.org>
- (1.6.5-1m)
- update 1.6.5

* Wed May 24 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (1.6.0-2m)
- delete duplicated dir

* Tue Apr 11 2006 Yohsuke Ooi <meke@momonga-linux.org>
- (1.6.0-1m)
- update 1.6.0(Xorg-7.1RC1)

* Sat Mar 25 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (1.4.1.3-4m)
- To trunk

* Fri Feb 24 2006 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.4.1.3-3.1m)
- import to Momonga

* Tue Feb 07 2006 Jesse Keating <jkeating@redhat.com> - 1.4.1.3-3.1
- rebuilt for new gcc4.1 snapshot and glibc changes

* Sat Feb  4 2006 Mike A. Harris <mharris@redhat.com> 1.4.1.3-3
- Added 8086:2772 mapping to i810.xinf for bug (#178451)

* Fri Feb  3 2006 Mike A. Harris <mharris@redhat.com> 1.4.1.3-2
- Added 8086:2592 mapping to i810.xinf for bug (#172884)

* Wed Jan 18 2006 Mike A. Harris <mharris@redhat.com> 1.4.1.3-1
- Updated xorg-x11-drv-i810 to version 1.4.1.3 from X11R7.0

* Tue Dec 20 2005 Mike A. Harris <mharris@redhat.com> 1.4.1.2-1
- Updated xorg-x11-drv-i810 to version 1.4.1.2 from X11R7 RC4
- Removed 'x' suffix from manpage dirs to match RC4 upstream.

* Wed Nov 16 2005 Mike A. Harris <mharris@redhat.com> 1.4.1-1
- Updated xorg-x11-drv-i810 to version 1.4.1 from X11R7 RC2

* Fri Nov 4 2005 Mike A. Harris <mharris@redhat.com> 1.4.0.1-1
- Updated xorg-x11-drv-i810 to version 1.4.0.1 from X11R7 RC1
- Fix *.la file removal.
- Added 'devel' subpackage for XvMC .so
- Added 'BuildRequires: libXvMC-devel' for XvMC drivers.

* Mon Oct 3 2005 Mike A. Harris <mharris@redhat.com> 1.4.0-1
- Update BuildRoot to use Fedora Packaging Guidelines.
- Deglob file manifest.
- Limit "ExclusiveArch" to x86, x86_64, ia64

* Fri Sep 2 2005 Mike A. Harris <mharris@redhat.com> 1.4.0-0
- Initial spec file for i810 video driver generated automatically
  by my xorg-driverspecgen script.
